For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/v2.0/api/webhooks/llms.txt. For full documentation content, see https://developer.shipbob.com/v2.0/api/webhooks/llms-full.txt.

# Delete an existing webhook subscription

DELETE https://api.shipbob.com/2.0/webhook/{id}

Reference: https://developer.shipbob.com/v2.0/api/webhooks/delete-an-existing-webhook-subscription

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2.0
  version: 1.0.0
paths:
  /2.0/webhook/{id}:
    delete:
      operationId: delete-an-existing-webhook-subscription
      summary: Delete an existing webhook subscription
      tags:
        - subpackage_webhooks
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Webhooks_deleteAnExistingWebhookSubscription_Response_204
        '401':
          description: No access right at this time
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: No access
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhooks.HttpValidationProblemDetails'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Webhooks_deleteAnExistingWebhookSubscription_Response_204:
      type: object
      properties: {}
      description: Empty response body
      title: Webhooks_deleteAnExistingWebhookSubscription_Response_204
    WebhooksProblemDetailsExtensions:
      type: object
      properties: {}
      title: WebhooksProblemDetailsExtensions
    Webhooks.HttpValidationProblemDetails:
      type: object
      properties:
        $type:
          type: string
        detail:
          type:
            - string
            - 'null'
        extensions:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: '#/components/schemas/WebhooksProblemDetailsExtensions'
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - $type
      title: Webhooks.HttpValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python
import requests

url = "https://api.shipbob.com/2.0/webhook/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.shipbob.com/2.0/webhook/id';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2.0/webhook/id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2.0/webhook/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.shipbob.com/2.0/webhook/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.shipbob.com/2.0/webhook/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2.0/webhook/id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/webhook/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```